@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-size: 18px;
}

* {
  box-sizing: border-box;
}

a {
  @apply
    text-blue-700
    font-bold;
}

input[type="text"],
input[type="time"],
[data-reach-listbox-button],
[data-reach-combobox-input] {
  @apply
    h-10
    px-3
    text-base
  placeholder-gray-600
    border
    rounded-lg
    focus:ring;
}

input[type="text"]:focus-visible,
[data-reach-listbox-button]:focus-visible {
  @apply
    outline-none;
}

[data-reach-listbox-popover],
[data-reach-combobox-popover] {
  @apply
    text-base
    border
    rounded-lg
    focus:ring;
}

[data-reach-listbox-option] {
  @apply
    py-3;
}

[data-reach-listbox-option]:hover {
  @apply
    cursor-pointer;
}

label {
  @apply
    block
    mb-1;
}

.field {
  @apply
  text-gray-700
  mb-4;
}

.btn {
  @apply
    py-2
    px-4
    font-semibold
    rounded-lg
    shadow-md
    focus:outline-none
    focus:ring-2
    focus:ring-opacity-75;
}

.btn-blue {
  @apply
    bg-blue-500
    text-white
    hover:bg-blue-700
    focus:ring-blue-400;
}

.btn:disabled {
  @apply
    opacity-50
    cursor-not-allowed;
}
